.product {
  margin: 66px 50px;
  padding-top: 60px;

  .back {
    display: inline-block;
    font-weight: bolder;
    font-size: 20px;
    text-decoration: none;
    color: $brand;
    margin-bottom: 10px;

    &::after {
      content: '';
      display: block;
      width: 0;
      height: 2px;
      background: $brand;
      transition: width 0.1s;
      margin-top: 0px;
    }

    &:hover::after {
      width: 100%;
    }

    &:hover + .drop-content {
      display: block;
    }
  }
  .products-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    grid-template-rows: repeat(6, auto);
    row-gap: 1rem;
    justify-content: center;
    column-gap: 1rem;
    img{
        cursor: zoom-in;
        height: 100%;
        max-height: 55rem;
        object-fit: cover;
    }
  }
  .product-content {
    .product-pic {
      .pic-1 {
        margin-bottom: 30px;

        img {
          width: 582px;
          height: 848px;
          margin-right: 30px;
        }

        &:last-of-type {
          margin-bottom: 0;
        }
      }
    }
    .uppercase {
        text-transform: uppercase;
      }
    .capatilize {
      text-transform: capitalize;
      font-weight: bolder;
    }
    .product-details {
      text-align: center;
      font-size: 18px;

      .price {
          color :$success;
        font-weight: bolder;
      }

      .radio {
        p {
          text-transform: uppercase;
          font-weight: bolder;
        }

        ul,
        .sizes {
          width: 120px;
          list-style: none;
          margin: auto;
          margin-bottom: 15px;
          padding: 0;
          overflow: auto;
        }

        .sizes {
          width: 180px;
        }

        ul li {
          color: #aaaaaa;
          display: block;
          position: relative;
          float: left;
          width: 30px;
          height: 30px;
          text-align: center;
        }

        .sizes li {
          width: 40px;
        }

        .sizes .xxl {
          width: 60px;
        }

        .sizes li a {
          font-weight: bolder;
          color: $gray-500;
          text-decoration: none;

          &:hover,
          &:focus {
            color: $brand;
            outline: 0;
          }
        }

        input[type='radio'] {
          position: absolute;
          visibility: hidden;
        }

        ul li .check1,
        .check2,
        .check3,
        .check4 {
          display: block;
          border: 1px solid $gray-600;
          border-radius: 100%;
          height: 20px;
          width: 20px;
          top: 30px;
          left: 20px;
          z-index: 5;
          cursor: pointer;

          &::before {
            display: block;
            position: absolute;
            content: '';
            border-radius: 100%;
            height: 10px;
            width: 10px;
            top: 5px;
            left: 5px;
            margin: auto;
            background: #26f834;
          }
        }

        .check2::before {
          background: #d1d1d1;
        }

        .check3::before {
          background: #8467f9;
        }

        .check4::before {
          background: #ff0707;
        }
      }

      .details {
        margin: auto;
        font-size: 15px;
        color: $gray-600;
        width: 75%;

        .details-title {
          margin: auto;

          .accordion {
            cursor: pointer;
            text-align: center;
            width: 100%;
            margin: 0;
            padding: 15px;
          }

          .accordion:after {
            content: '\002B';
            color: $brand;
            font-weight: bolder;
            font-size: 25px;
            float: right;
            margin-top: -5px;
          }

          .active:after {
            content: '\2212';
          }

          .details-content {
            text-align: start;
            max-height: 0;
            overflow: hidden;
            transition: max-height 0.2s ease-out;

            p {
              margin-bottom: 5px;
            }
          }
        }

        .details-extend {
          border-top: 1px solid $brand;
          border-bottom: 1px solid $brand;
          margin-bottom: 50px;

          .extend-item1,
          .extend-item2 {
            margin: auto;
            border-bottom: 1px solid $brand;

            .accordion {
              cursor: pointer;
              text-align: center;
              width: 100%;
              margin: 0;
              padding: 15px;
            }

            .accordion:after {
              content: '\002B';
              color: $brand;
              font-weight: bolder;
              font-size: 25px;
              float: right;
              margin-top: -5px;
            }

            .active:after {
              content: '\2212';
            }
          }

          .extend-item2 {
            border-bottom: 0;
          }
        }

        .details-btn {
          background: $brand;
          color: $brand-sec;
          text-transform: uppercase;
          font-weight: bolder;
          width: 100%;
          display: flex;
          justify-content: center;
          margin: auto;
          margin-bottom: 10px;
          border: 0;
          padding: 10px;
          cursor: pointer;
        }
      }
    }
  }
}

.interest {
  position: relative;
  background: $gray-300;
  height: 550px;
  z-index: 0;

  h5 {
    padding-top: 30px;
    text-transform: uppercase;
    font-weight: bold;
    text-align: center;
  }
}
